//##################################################################################################
//
//  Ceetron Export
//  VTFxCutIso
//  
//  --------------------------------------------------------------------------------------------
//  Copyright (C) 2015, Ceetron AS
//  This is UNPUBLISHED PROPRIETARY SOURCE CODE of Ceetron AS. The contents of this file may 
//  not be disclosed to third parties, copied or duplicated in any form, in whole or in part,
//  without the prior written permission of Ceetron AS.
//##################################################################################################


#pragma once


// Nodes
// -----------------------------------------------------------------------------
const float NODES_PART[] =
{
    0.0f, 0.0f, 0.0f,
    1.0f, 0.0f, 0.0f,
    2.0f, 0.0f, 0.0f,
    0.0f, 0.0f, 1.0f,
    1.0f, 0.0f, 1.0f,
    2.0f, 0.0f, 1.0f,
    0.0f, 0.0f, 2.0f,
    1.0f, 0.0f, 2.0f,
    2.0f, 0.0f, 2.0f,

    0.0f, 1.0f, 0.0f,
    1.0f, 1.0f, 0.0f,
    2.0f, 1.0f, 0.0f,
    0.0f, 1.0f, 1.0f,
    1.0f, 1.0f, 1.0f,
    2.0f, 1.0f, 1.0f,
    0.0f, 1.0f, 2.0f,
    1.0f, 1.0f, 2.0f,
    2.0f, 1.0f, 2.0f,

    0.0f, 2.0f, 0.0f,
    1.0f, 2.0f, 0.0f,
    2.0f, 2.0f, 0.0f,
    0.0f, 2.0f, 1.0f,
    1.0f, 2.0f, 1.0f,
    2.0f, 2.0f, 1.0f,
    0.0f, 2.0f, 2.0f,
    1.0f, 2.0f, 2.0f,
    2.0f, 2.0f, 2.0f
};

// Connectivities
// -----------------------------------------------------------------------------
const int CONNECTS_PART[] = 
{
    0, 1, 10, 9, 3, 4, 13, 12,
    1, 2, 11, 10, 4, 5, 14, 13,
    3, 4, 13, 12, 6, 7, 16, 15,
    4, 5, 14, 13, 7, 8, 17, 16,
    9, 10, 19, 18, 12, 13, 22, 21,
    10, 11, 20, 19, 13, 14, 23, 22,
    12, 13, 22, 21, 15, 16, 25, 24,
    13, 14, 23, 22, 16, 17, 26, 25
};

// Scalar result values
// -----------------------------------------------------------------------------
const float SCALAR_PART[] =
{
    4.0f, 4.0f, 4.0f, 3.0f, 3.0f, 3.0f, 2.0f, 2.0f, 2.0f,
    3.0f, 3.0f, 3.0f, 2.0f, 2.0f, 2.0f, 1.0f, 1.0f, 1.0f,
    3.0f, 3.0f, 3.0f, 2.0f, 2.0f, 2.0f, 0.0f, 0.0f, 0.0f
};

